Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 190027

Summary: Review Request: hexter-dssi - DSSI software synthesizer plugin
Product: [Fedora] Fedora Reporter: Anthony Green <green>
Component: Package ReviewAssignee: Callum Lerwick <seg>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: seg
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-07-13 05:28:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 189892    
Bug Blocks: 163779    

Description Anthony Green 2006-04-26 19:56:17 UTC
Spec URL: http://people.redhat.com/green/FE/FC5/hexter-dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/hexter-dssi-0.5.9-1.src.rpm
Description: 
hexter is a software synthesizer that models the sound generation of a
Yamaha DX7 synthesizer. It can easily load most DX7 patch bank files,
accept patch editing commands via MIDI sys-ex messages (ALSA systems
only), and recreate the sound of the DX7 with greater accuracy than
any previous open-source emulation (that the author is aware of....)

hexter operates as a plugin for the Disposable Soft Synth Interface
(DSSI). DSSI is a plugin API for software instruments (soft synths)
with user interfaces, permitting them to be hosted in-process by audio
applications.

Comment 1 Callum Lerwick 2006-05-18 08:37:09 UTC
You're missing a buildreq on liblo-devel. And hexter can build against gtk2,
changing the buildreq to gtk2-devel is probably preferable.

rpmlint comes up clean.

All those Requires: can be nuked, rely on auto deps.

However:

$ rpm -qf /usr/lib/dssi/
file /usr/lib/dssi is not owned by any package

dssi seems to be implemented as only a header file. No library. So there's no
library dep to pick up on. All dssi plugins are probably going to have to have
Requires: dssi.

You might want to symlink /usr/bin/hexter to /usr/bin/jack-dssi-host.

Comment 2 Callum Lerwick 2006-05-18 10:36:32 UTC
Or actually, dssi-devel should probably be pulling in liblo-devel. And ladspa,
jack, and alsa...

Comment 3 Anthony Green 2006-05-19 01:59:16 UTC
Thanks for the comments.  Updated bits here:

Spec URL: http://people.redhat.com/green/FE/FC5/hexter-dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/hexter-dssi-0.5.9-2.src.rpm


Comment 4 Callum Lerwick 2006-06-05 01:54:11 UTC
Looks like the link line needs to be:

ln -s jack-dssi-host $RPM_BUILD_ROOT%{_bindir}/hexter

Otherwise rpmlint complains about it being a non-relative link.

Also, since we're linking it to jack-dssi-host, I'm thinking hexter (and all
other dssi plugins) should have a .desktop link.

Comment 5 Anthony Green 2006-06-05 02:53:56 UTC
(In reply to comment #4)
> Looks like the link line needs to be:
> 
> ln -s jack-dssi-host $RPM_BUILD_ROOT%{_bindir}/hexter
> 
> Otherwise rpmlint complains about it being a non-relative link.

Ok, updates here...

Spec URL: http://people.redhat.com/green/FE/FC5/hexter-dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/hexter-dssi-0.5.9-3.src.rpm

> Also, since we're linking it to jack-dssi-host, I'm thinking hexter (and all
> other dssi plugins) should have a .desktop link.

As discussed on IRC, we've decided to not do this for now.



Comment 6 Callum Lerwick 2006-07-10 09:07:13 UTC
Alright, I finally blew most of a day figuring out why qjackctl was hanging my
machines, maybe now I can finish this review. :) (kernel-2.6.17-1.2145_FC5 seems
to work so far)

For those watching at home, jack-dssi-host is not a GUI app. We can't give
hexter an icon because trying to start it without jackd running results in a
silent failure.

MUST items:

- rpmlint: Ok

$ rpmlint hexter-dssi-0.5.9-3.fc5.i386.rpm
W: hexter-dssi dangling-relative-symlink /usr/bin/hexter jack-dssi-host

Supplied by dssi.

- Package name: Ok
- Spec name: Ok
- Meets packaging guidelines: NEEDSWORK
- License: Ok
- Spec in American English: Ok
- Spec legible: Ok
- Sources match upstream: Ok
- Builds: Ok
- BuildRequires: Ok
- Locales: Ok
- ldconfig: Ok
- Relocation: Ok
- Directory ownership: Ok
- %files: Ok
- %clean: Ok
- Macros: Ok
- Code vs. Content: Ok
- Documentation: Ok
- devel package: Ok
- .desktop file: Ok

SHOULD:

- Includes license text: Ok
- Mock build: Ok
- Builds on all archs: Built on i386, x86_64
- Package functional: Tested on i386, x86_64
- Scriptlets: Ok
- Subpackages: Ok

NEEDSWORK:

Source URL needs to be [...]sourceforge/dssi/[...]

Don't use %makeinstall, apparently its horribly broken. (This was news to me too)

Non-blockers:

Summary could perhaps mention it's a DX7 clone. "DX7 compatible software
synthesizer plugin" or something. Also tomboy just revealed "compatible" is
spelled wrong, heh...

Put a trailing slash on "%{_datadir}/hexter" in the %files list.

Fix the two NEEDWORK before import, and this is APPROVED.

Now if you could review Rosegarden for me I'd appreciate it. :)

Comment 7 Anthony Green 2006-07-13 05:28:02 UTC
(In reply to comment #6)
> Fix the two NEEDWORK before import, and this is APPROVED.

Fixed - thanks!

> Now if you could review Rosegarden for me I'd appreciate it. :)

Done (kind of).